package ovh.herisson.Clyde;

import org.springframework.scheduling.annotation.Scheduled;
import ovh.herisson.Clyde.Repositories.TokenRepository;
import ovh.herisson.Clyde.Tables.Role;
import ovh.herisson.Clyde.Tables.Token;
import ovh.herisson.Clyde.Tables.User;

import java.util.Date;
import java.util.Timer;
import java.util.TimerTask;

public class TokenCleaner {
    private Token token;
    private TokenRepository tokenRepo;

    public TokenCleaner(Token token, TokenRepository tokenRepo){
        this.token = token;
        this.tokenRepo = tokenRepo;
        Timer timer = new Timer();
        timer.schedule(autoDeleteTokenTask, 30000);
    }

    TimerTask autoDeleteTokenTask = new TimerTask() {
        public void run() {
            tokenRepo.delete(token);
        }
    };

}
